=== debian/changelog ===
mlv-smile (1.47-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 15 Nov 2017 20:52:48 +0100

mlv-smile (1.47-4) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * Fix clean target
  * Fix issues reported by Mayhem
    Closes: #715851, #716479, #716480

 -- Andreas Tille <tille@debian.org>  Wed, 16 Dec 2015 11:20:32 +0100

mlv-smile (1.47-3) unstable; urgency=low

  * debian/upstream: Added publication data
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs-Browser
     - Moved directory in SVN from smile to mlv-smile
     - Removed citation information from long description
     - Spacing changes in long description
  * debian/copyright: Fixed some DEP5 issues using
      cme fix dpkg-copyright
  * debhelper 9 (control+compat) to enable hardening
  * debian/rules: Work around several broken Makefiles that would
    need fixing by simply redefining CC to enable propagation of
    hardening flags

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2012 18:30:20 +0200

mlv-smile (1.47-2) unstable; urgency=low

  * Spellchecked manual pages (Closes: #650475, thanks to A. Costa).

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 03 Dec 2011 19:20:00 +0100

mlv-smile (1.47-1) unstable; urgency=low

  * initial Release (Closes: #221492).
  * renamed package to mlv-smile 
  * Lintian clean
  * already prepared patches from Steffen Moeller applied
  * debian/source/format added
  * debian/compat changed to 8
  * debian/copyright: new address of FSF, added version to licenses
  * debian/rules: errors in manpage corrected
  * debian/rules: simplified
  * added DEP-3 header to patches

  [Charles Plessy]
  * debian/control: Added Vcs fields
  * debian/control: Removed the [Biology] tag in the package short description
  * debian/copyright: Converted the copyright file to DEP-5 format

  [Steffen Moeller]
  * New upstream release.
  * GPL license stated in upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 18 May 2011 18:17:00 +0200

mlv-smile (1.46-1) UNRELEASED; urgency=low

  * Upstream author contributed man page.

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Tue, 18 Nov 2003 16:20:05 +0100
