=== debian/control ===
Source: mlv-smile
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Thorsten Alteholz <debian@alteholz.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mlv-smile.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/mlv-smile.git
Homepage: http://www-igm.univ-mlv.fr/~marsan/smile_english.html

Package: mlv-smile
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: Find statistically significant patterns in sequences
 Smile determines sequence motifs on the basis of a set of DNA, RNA or
 protein sequences.
  * No hard limit on the number of combinations of motifs to describe
    subsets of sequences.
  * The sequence alphabet may be specified.
  * The use of wildcards is supported.
  * Better determination of significance of motifs by simulation.
  * Introduction of a set of sequences with negative controls
    that should not match automatically determined motifs.
