=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for smile
# Thorsten Alteholz <debian@alteholz.de>
# GPL

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel -- CC="gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"

override_dh_auto_install:
	zcat smile.1.gz |sed "s/\.\.\.which/which/g"|\
                sed "s/repecting/respecting/g"|\
                sed "s/susbtitutions/substitutions/g"|\
                sed "s/alindrom/alindrome/g"|\
                sed "s/ipossible/possible/g"|\
                sed "s/smalls/small/g"|\
                sed "s/nfering/nferring/g"|\
                sed "s/criterias/criteria/g"|\
                sed "s/CRITERIAS/CRITERIA/g"|\
                sed "s/allows to/allows one to/g"|\
                sed "s/algorithmical/algorithmically/g"|\
                sed "s/smile \-g/smile \\\-g/g"|\
                sed "s/smile/mlv-smile/g"|\
                sed "s/Smile/mlv-smile/g" > mlv-smile.1
	dh_installchangelogs READ_ME
	dh_auto_install
