=== debian/watch ===
version=3
http://www-igm.univ-mlv.fr/~marsan/smile_english.html SMILEv(.*)\.tgz
